SynqedDocs
API referenceDocuments

Create or update documents in bulk

Up to 100 documents per request, with the same upsert semantics as `POST /v1/documents`.

POST
/documents/batch

Up to 100 documents per request, with the same upsert semantics as POST /v1/documents.

Authorization

bearerAuth
headerAuthorizationBearer <sk_live_<region>_<secret>>

Header Parameters

Idempotency-Key?string

Unique key (≤ 255 chars) that makes retries of this request safe for 24 hours.

Lengthlength <= 255

Request Body

application/json
  1. body
documents*array<>
Items1 <= items <= 100

Response Body

Success

application/json
  1. response
object*string
data*array<>
Example Request
curl -X POST 'https://api.synqed.dev/v1/documents/batch' \  -H 'Content-Type: application/json' \  -d '{  "documents": [    {      "source": "string",      "external_id": "string",      "title": "string",      "body": "string"    }  ]}'
Example Response
{  "object": "list",  "data": [    {      "object": "document_upsert",      "id": "string",      "status": "created"    }  ]}